For the complete documentation index, see llms.txt. This page is also available as Markdown.

Web Hooks For Device

Returns Configured Web Hooks for a device

get
Path parameters
tenantVarCodestringRequired
deviceIdstringRequired
Responses
200

OK

Authenticationstring · nullableOptional
Usernamestring · nullableOptional
Passwordstring · nullableOptional
get/V2/{tenantVarCode}/devices/{deviceId}/webhooks
GET /V2/{tenantVarCode}/devices/{deviceId}/webhooks HTTP/1.1
Accept: */*
200

OK

{
  "Urls": [
    {
      "Url": "text",
      "EventNotification": true,
      "MoMessage": true,
      "MtMessage": true
    }
  ],
  "Authentication": "text",
  "Username": "text",
  "Password": "text"
}

Sets or Updates WebHooks configured for a device

put
Path parameters
tenantVarCodestringRequired
deviceIdstringRequired
Body
Authenticationstring · nullableOptional
Usernamestring · nullableOptional
Passwordstring · nullableOptional
Responses
200

OK

No content

put/V2/{tenantVarCode}/devices/{deviceId}/webhooks
PUT /V2/{tenantVarCode}/devices/{deviceId}/webhooks HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "Urls": [
    {
      "Url": "text",
      "EventNotification": true,
      "MoMessage": true,
      "MtMessage": true
    }
  ],
  "Authentication": "text",
  "Username": "text",
  "Password": "text"
}
200

OK

No content

Deletes all WebHooks configured for a device

delete
Path parameters
tenantVarCodestringRequired
deviceIdstringRequired
Responses
200

OK

No content

delete/V2/{tenantVarCode}/devices/{deviceId}/webhooks
DELETE /V2/{tenantVarCode}/devices/{deviceId}/webhooks HTTP/1.1
Accept: */*
200

OK

No content

Last updated